/*--------------------------------------------------------*/
/* Система обработки заявок на работы - вторая версия     */
/* Таблица стилей для различных элементов страниц         */
/*--------------------------------------------------------*/

h1 { font-size: 1.5em; }

/* флажки для выбора языка */
img.lang_switch { opacity: 0.5; cursor: pointer; padding: 0px 5px; }
img.lang_switch.selected { opacity: 1; }

/* оформление навигационных ссылок для разных таблиц */
.demands_navbar { cursor: pointer; padding: 0 5px; }
.demands_navbar.selected { cursor: default; background: yellow; padding: 0 5px; }
.demands_navbar.empty { cursor: default; padding: 0 5px; }

.users_navbar { cursor: pointer; padding: 0 3px; }
.users_navbar.selected { cursor: default; background: yellow; padding: 0 3px; }
.users_navbar.empty { cursor: default; padding: 0 3px; }

.types_navbar { cursor: pointer; padding: 0 3px; }
.types_navbar.selected { cursor: default; background: yellow; padding: 0 3px; }
.types_navbar.empty { cursor: default; padding: 0 3px; }

/* Заголовки колонок таблиц, которые можно сортировать по соответствующей колонке */
tr.headline th[name] { cursor: pointer; }
th.sorted { padding: 0 16px; }
th.sorted.asc {
  background-image: url('../common/img/down_16.png');
  background-position: center right;
  background-repeat: no-repeat;
}
th.sorted.desc  {
  background-image: url('../common/img/up_16.png');
  background-position: center right;
  background-repeat: no-repeat;
}

/* Разные оформительские элементы */
body       { background: #FFFFFF; color: #000000; font-family: sans-serif; font-size: 10pt; font-weight: normal;
             margin: 5px }
.section   { background: #FFFFFF; color: #000000; font-family: sans-serif; font-size: 12pt; font-weight: bold; }
.text      { background: #E2E2E2; color: #000000; font-family: sans-serif; font-size: 11pt; font-weight: normal; }
.space     { background: #FFFFFF; color: #000000; }
.userform  { background: #DFDFDF; color: #000000; font-family: sans-serif; font-size: 10pt; font-weight: normal;
             text-align: center; }
.blueline  { background: #0479BC; color: #000000; }
.user      { background: #FFFFFF; color: #7F7F7F; font-family: sans-serif; font-size: 10pt; font-weight: normal; }
.user a    { color: #7F7F7F; }
//select     { font-family: sans-serif; font-weight: normal; font-size: 10pt; }
.alert     { background: #CC0000; color: #FFFFFF; font-family: sans-serif; font-size: 10pt; font-weight: bold; }
.hint      { font-size: 10pt; padding: 2pt; background-color: #FFFF9A; border-width: 1.5pt; border-color: #3163CD;
             border-style: solid }


/* поля в форме ввода/показа заявки */
.field { min-width: 80% }
.field.error { color: red }
.field.error input { border: solid 1px red; }
.subfield.error { color: red }
.subfield.error input { border: solid 1px red; }

.odd { background-color: #EEEEEE; }
.alert { background-color: red; }
.warning { background-color: yellow; }

.hidden { display: none; }
.visible { display: block; }

textarea { resize: none; font-size: 12px; }

input[type="radio"] { border: 0px none; padding: 0px; height: 14px; width: 14px; }

/* JQuery-UI */
.ui-datepicker-trigger { cursor: pointer; }
.ui-front { z-index: 1001; }
/*.ui-widget { font-size: 0.9em; } */

/*------------------------------
	Impromptu's
------------------------------*/
.jqifade {position: absolute; background-color: #aaaaaa; }
div.jqi { font-family: monospace; position: absolute; background-color: #ffffff; font-size: 16px;
          text-align: left; border: solid 1px #eeeeee; -moz-border-radius: 10px; -webkit-border-radius: 10px;
          padding: 7px; }
div.jqi .jqicontainer { font-weight: bold; }
/*
div.jqi .jqiclose { position: absolute; top: 4px; right: -2px; width: 18px; cursor: default; color: #bbbbbb;
                    font-weight: bold; }
*/
div.jqi .jqiclose { display: none; }
div.jqi .jqimessage { padding: 10px; line-height: 20px; color: #444444; }
div.jqi .jqibuttons { text-align: right; padding: 5px 0 5px 0; border: solid 1px #eeeeee; background-color: #f4f4f4; }
div.jqi button { padding: 3px 10px; margin: 0 10px; background-color: #2F6073; border: solid 1px #f4f4f4;
                 color: #ffffff; font-weight: bold; font-size: 1em; }
div.jqi button:hover { background-color: #728A8C; }
div.jqi button.jqidefaultbutton { background-color: #BF5E26; }
.jqiwarning .jqi .jqibuttons { background-color: #BF5E26; }
div.jqi .jqimessage .error { color: red; }
div.jqi .jqimessage .field { padding: 5px 0; display: inline-block; }
div.jqi .jqimessage .field.hidden { display: none; }
div.jqi .jqimessage .field label { display: block; clear: left; float: left; width: 200px; padding-right: 10px; }
div.jqi .jqimessage .field.error label { color: red }
div.jqi .jqimessage .subfield { display: inline-block; }
div.jqi .jqimessage .subfield.error label { color: red }
div.jqi .jqimessage .field input { width: 150px; border: solid 1px #777777; }
div.jqi .jqimessage .field input.ui-spinner-input { border: 0px; margin: 0px 20px 2px 5px; font-size: 0.85em; }
div.jqi .jqimessage .field input[type="radio"] { border: 0px none; padding: 0px; height: 14px; width: 14px; }
div.jqi .jqimessage .field input[type="checkbox"] { border: 0px none; padding: 0px; height: 14px; width: 14px; }
div.jqi .jqimessage .field span.ui-spinner { font-size: 1em; }
ul.ui-autocomplete { width: 190px; padding-left: 5px; list-style-image: none; list-style-type: none; max-height: 250px;
                     overflow-x: hidden; overflow-y: auto; font-size: 0.85em; }
div.jqi .jqimessage .field.error input { border: solid 1px red; }
div.jqi .jqimessage .subfield.error input { border: solid 1px red; }
div.jqi .jqimessage .field img { border: 0; cursor: pointer; }
/*-------------------------------- */
